import 'package:flutter/material.dart';
import 'package:flutter_news/models/config.dart';
import 'package:flutter_news/pages/home_page.dart';

/// Description: 主页
/// Time       : 07/05/2023 Wednesday
/// Author     : liuyuqi.gov@msn.cn
void main() {
  Config.init(() => runApp(const MyApp()));
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'News',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: const HomePage(),
    );
  }
}
